Accounts

Get entitlements

Retrieves entitlements for an account grouped by benefit code.

GET
/accounts/{id}/entitlements

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

benefit_id?string

Restrict results to this benefit only. Accepts the benefit id or code.

Response Body

application/json

curl -X GET "https://example.com/accounts/acc_IhMUl3rrZ3/entitlements"
{
  "entitlements": {
    "api_calls": {
      "feature_value": 1500,
      "usage": 500,
      "benefit": {
        "id": "ben_IhMUl3rrZ3",
        "name": "Api calls",
        "code": "api-calls",
        "type": "feature_quota"
      }
    },
    "premium_support": {
      "feature_value": "on",
      "benefit": {
        "id": "ben_Support01",
        "name": "Premium support",
        "code": "premium-support",
        "type": "feature_access"
      }
    }
  },
  "meta": {
    "request_id": "req_IhMUl3rrZ3"
  }
}